Rebuild hàng loạt bề mặt (Surface) trong Civil 3d

Trong Civil 3d chỉ cho phép rebuild 1 bề mặt , không cho phép rebuild hàng loạt. Do đó ad xin chia sẻ đến các bạn đoạn code Lisp này, các bạn copy và pates vào file lisp bất kỳ nào sao đó save và load vào civil 3d.

Finding & patching holes in a Civil 3D surface model - YouTube

Cú pháp lệnh RAS ( Rebuild All Surface)

;Chia se boi bimtechno.com
(vl-load-com)
(defun rebuild_all_surfaces ()
(if (or (ssget "I" '((0 . "AECC_*SURFACE")))
(ssget "x" '((0 . "AECC_*SURFACE")))
)
(vlax-for ent (vla-get-activeselectionset
(vla-get-activedocument
(vlax-get-acad-object)))
(vlax-invoke ent 'rebuild)
)
)
)
(defun c:RAS () (rebuild_all_surfaces) (princ))

Trả lời

Email của bạn sẽ không được hiển thị công khai. Các trường bắt buộc được đánh dấu *